## org.hibernate.loader
Class PropertyPath

    java.lang.Object
      org.hibernate.loader.PropertyPath

    public class PropertyPath

extends Object

Author:
  Steve Ebersole

Constructor Summary
`PropertyPath()`
`PropertyPath(PropertyPath parent, String property)`
`PropertyPath(String property)`

Method Summary
`PropertyPath` `append(String property)`
`String` `getFullPath()`
`PropertyPath` `getParent()`
`String` `getProperty()`
`boolean` `isRoot()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyPath

    public PropertyPath(PropertyPath parent,
                        String property)

### PropertyPath

    public PropertyPath(String property)

### PropertyPath

    public PropertyPath()

Method Detail

### append

    public PropertyPath append(String property)

### getParent

    public PropertyPath getParent()

### getProperty

    public String getProperty()

### getFullPath

    public String getFullPath()

### isRoot

    public boolean isRoot()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.